Roomability Guest API
  1. Reservation
Roomability Guest API
  • Introduction
  • Authentication
  • Errors
  • Booking Flow
  • Reservation
    • Add
      POST
    • Availability
      POST
    • Cancel
      POST
    • Booking Ref
      GET
  • Country
    • Get Countries List
      GET
  • State
    • Get State List
      GET
  • RoomType
    • Get Room Types
      GET
    • Get Room Detail
      GET
  • Guest
    • Detail
      GET
  • Term
    • Detail
      GET
  • Privacy
    • Detail
      GET
  • Payment Method
    • Active List
      GET
  • Paystack
    • Verify
      GET
    • Initialize
      POST
  • Hotel
    • Detail
      GET
    • Hotel Rule
      GET
  • PayGateway
    • Detail
  • CancelPolicy
    • Detail
  • Search List
    GET
  • Phone Code List
    GET
  1. Reservation

Booking Ref

GET
https://guestapi.roomability.io/Reservation/BookingDetail
Last modified:2026-03-13 10:32:46

Request

Query Params

Header Params

Responses

🟢200
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://guestapi.roomability.io/Reservation/BookingDetail?bookingref=UW6BT3&lastname=Yahaya' \
--header 'X-API-Key: {{api-key}}' \
--header 'Content-Type: application/json'
Response Response Example
{
    "guest": {
        "title": "Mr",
        "firstName": "Abdullah",
        "lastName": "Yahaya",
        "phone": "08089885365",
        "email": "a.yahaya@valinno.com",
        "sex": "Male",
        "occupation": "Programmer",
        "country": "Nigeria",
        "state": "Adamawa",
        "address1": "Block 1 Room 4 Elere Police Barrack Oril",
        "address2": "Church St",
        "city": "Lagos"
    },
    "reservations": [
        {
            "roomType": "Deluxe Room",
            "bookingRef": "UW6BT3",
            "checkInDate": "2025-12-31",
            "checkOutDate": "2026-01-01",
            "arrivalTime": "12:00",
            "purpose": "business",
            "quantity": 2,
            "rate": 100,
            "adultNo": 1,
            "childNo": 0,
            "additionalReq": "-",
            "addedOn": "2001-01-01 00:00:00"
        },
        {
            "roomType": "Royal Suites",
            "bookingRef": "UW6BT3",
            "checkInDate": "2025-12-31",
            "checkOutDate": "2026-01-01",
            "arrivalTime": "12:00",
            "purpose": "business",
            "quantity": 3,
            "rate": 100,
            "adultNo": 1,
            "childNo": 0,
            "additionalReq": "-",
            "addedOn": "2001-01-01 00:00:00"
        },
        {
            "roomType": "Executive Room",
            "bookingRef": "UW6BT3",
            "checkInDate": "2025-12-31",
            "checkOutDate": "2026-01-01",
            "arrivalTime": "12:00",
            "purpose": "business",
            "quantity": 3,
            "rate": 100,
            "adultNo": 1,
            "childNo": 0,
            "additionalReq": "-",
            "addedOn": "2001-01-01 00:00:00"
        },
        {
            "roomType": "Executive Room",
            "bookingRef": "UW6BT3",
            "checkInDate": "2026-01-16",
            "checkOutDate": "2026-01-17",
            "arrivalTime": "12:00",
            "purpose": "business",
            "quantity": 1,
            "rate": 100,
            "adultNo": 1,
            "childNo": 0,
            "additionalReq": "-",
            "addedOn": "2001-01-01 00:00:00"
        }
    ],
    "errorCode": 0,
    "errorMessage": "Reservation details retrieved successfully."
}
Modified at 2026-03-13 10:32:46
Previous
Cancel
Next
Country
Built with